Bug 39173 - traceback (innermost last) finds an internal error after installation files have been installed
traceback (innermost last) finds an internal error after installation files h...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-04 20:22 EDT by Anthony Uribe
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-18 15:12:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
exact error message that occurs (909 bytes, text/plain)
2001-05-04 20:23 EDT, Anthony Uribe
no flags Details

  None (edit)
Description Anthony Uribe 2001-05-04 20:22:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows 98; Supra 
Telecom.Net = 888-31-SUPRA)

Description of problem:
Installer finishes all the installation files and it finds an internal 
error when it does the traceback.

How reproducible:
Always

Steps to Reproduce:
1.I make the partition: three partitions, /boot, /, swap
2.choose programs to install: Gnome and games
3.press ok to install	
4. intallation goes fine and error ocurrs during traceback

Actual Results:  Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1028, in 
run
    rc = apply (step[1](), (dir,) + step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 279, in 
__call__
    todo.upgradeFindPackages (root)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 910, in 
upgradeFindPackages
    fstab.readFstab('/mnt/sysimage/etc/fstab', self.fstab)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 976, in 
readFstab
    f = open (path, "r")
IOError: [Errno 5] Input/output error: '/mnt/sysimage/etc/fstab'

Local variables in innermost frame:
loopIndex: {}
path: /mnt/sysimage/etc/fstab
fstab: <fstab.NewtFstab instance at 82160b0>

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>


Expected Results:  installation complete

Additional info:
Comment 1 Anthony Uribe 2001-05-04 20:23:29 EDT
Created attachment 17409 [details]
exact error message that occurs
Comment 2 Brent Fox 2001-05-07 11:17:27 EDT
Were you upgrading or installing?
Comment 3 Anthony Uribe 2001-05-07 21:55:13 EDT
I was installing Red Hat linux 7.0 on a 233 pentium 2 processor with an 
internal 100mb zip drive, 36x cd-rom, and a 2.6 gig harddrive.
Comment 4 Brent Fox 2001-05-08 14:22:38 EDT
Ok, for some reason the traceback that I see indicates that the installer was
trying to perform an upgrade instead of an install.  Something may be wrong with
your cd.  Can you look on VC3 and VC4 and see if there are any error messages?
Comment 5 Brent Fox 2001-05-18 15:12:07 EDT
Closing due to inactivity. Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.